Bug 13332 - Segfault on start
: Segfault on start
Status: CLOSED WONTFIX
: Branch 4.0
(All bugs in Branch 4.0/php-cgi)
: 4.0
: all Linux
: P2 critical
Assigned To:
:
:
:
:
: 13000 14168
  Show dependency tree
 
Reported: 2007-11-06 11:00 by
Modified: 2010-09-26 16:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-06 11:00:06
У нас в очень странном состоянии находтся php-cgi (4.4.7)
при старте он попросту сегфолтится если в нём подключен хотя бы один
модуль. Проблема имеется и на Branch, и в Сизифе. Пересборка проблему не
решает.

[root@test7 ~]# php-cgi-4.4.7
Segmentation fault

(gdb) r
Starting program: /usr/bin/php-cgi-4.4.7
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 47428748301952 (LWP 23099)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 47428748301952 (LWP 23099)]
0x00002b22dc43e851 in zend_hash_exists () from /usr/lib64/libphp-4.4.7.so
(gdb) bt
#0  0x00002b22dc43e851 in zend_hash_exists () from
/usr/lib64/libphp-4.4.7.so
#1  0x00002b22e5e2caaf in zm_startup_suhosin () from
/usr/lib64/php/4.4.7/extensions/suhosin.so
#2  0x00002b22dc3ba93d in php_dl () from /usr/lib64/libphp-4.4.7.so
#3  0x00002b22dc40f471 in php_module_shutdown_wrapper () from
/usr/lib64/libphp-4.4.7.so
#4  0x00002b22dc431b87 in zend_llist_apply () from
/usr/lib64/libphp-4.4.7.so
#5  0x00002b22dc40f43a in php_ini_delayed_modules_startup () from
/usr/lib64/libphp-4.4.7.so
#6  0x00002b22dc409ed4 in php_module_startup () from
/usr/lib64/libphp-4.4.7.so
#7  0x0000000000403800 in main ()
Steps to Reproduce:
run php-cgi-4.4.7
------- Comment #1 From 2008-01-26 02:26:44 -------
*ping*
------- Comment #2 From 2008-05-13 15:44:05 -------
Подтверждаю для php-cgi 4.4.8-alt1
------- Comment #3 From 2008-05-14 18:56:33 -------
При отключении suhosin, падать перестаёт.
------- Comment #4 From 2008-05-14 19:50:19 -------
(In reply to comment #3)
> При отключении suhosin, падать перестаёт.

она перестаёт падать пока не грузит ни одного модуля. Если попробовать
использовать любой модуль - упадёт.
------- Comment #5 From 2008-05-15 04:07:34 -------
(In reply to comment #4)
> (In reply to comment #3)
> > При отключении suhosin, падать перестаёт.
> 
> она перестаёт падать пока не грузит ни одного модуля. Если попробовать
> использовать любой модуль - упадёт.

Уже заметил.
------- Comment #6 From 2008-05-15 15:13:21 -------
Я наверно безнадёжно торможу, но я не могу найти в исходниках функцию
zm_startup_suhosin
------- Comment #7 From 2008-05-15 18:09:02 -------
Для страдающих склерозом (типа меня) добавлю линк на предыдущее обсуждение
этого
бага в devel@

http://lists.altlinux.org/pipermail/devel/2007-November/065810.html
------- Comment #8 From 2008-05-17 22:28:46 -------
(In reply to comment #7)
> Для страдающих склерозом (типа меня) добавлю линк на предыдущее обсуждение этого
> бага в devel@
> 
> http://lists.altlinux.org/pipermail/devel/2007-November/065810.html

Для страдающих сильным склерозом - см. оригинальный пост на форуме suhosin'а -
http://forum.hardened-php.net/viewtopic.php?pid=1536

feel free to debate with author ;)
------- Comment #9 From 2008-05-17 23:02:26 -------
(In reply to comment #8)
> feel free to debate with author ;)

В упор не вижу обсуждения.  Не обсуждать же что freebsd не linux?
------- Comment #10 From 2008-08-21 11:10:48 -------
Проблемы с пакетами на 4.0 должны решать соответствующие мантейнеры бранчей.
Т.е. мне эти ошибки неинтересны.
------- Comment #11 From 2008-08-21 11:14:50 -------
открываю, чтобы переассигнить на nobody
------- Comment #12 From 2008-08-21 11:15:50 -------
Костя, WONTFIX - это "я являюсь майнтайнером этого пакета и сознательно не буду
исправлять эту ошибку". Твой комментарий - это "я не майнтайнер пакета в бранче
4.0".
------- Comment #13 From 2008-08-21 11:39:08 -------
(In reply to comment #12)
> Костя, WONTFIX - это "я являюсь майнтайнером этого пакета и сознательно не буду
> исправлять эту ошибку". Твой комментарий - это "я не майнтайнер пакета в
> бранче 4.0".
> 

Поскольку судьба пакета в бранче мне неинтересна, таки WONTFIX.
------- Comment #14 From 2008-08-21 11:43:53 -------
Гм. Надо какую-нибудь ручку к багзилле приделать, чтобы никого не анноить. В
общем, #16796.
------- Comment #15 From 2008-08-21 15:07:57 -------
Ну неинтересны и неинтересны, вешаешь на бранч/nobody@ и выписываешься из Cc:,
если совсем неинтересны.  Кто ж заставляет-то.
------- Comment #16 From 2008-08-21 15:09:32 -------
Заставляет, очевидно, багзилла, ассигнящая баги. Я бы тоже взвыл.
------- Comment #17 From 2010-09-26 15:58:06 -------
php4 еще кто-то использует в 4.0?